/* bf.h */
#ifndef BF_H
#define BF_H

#define VERSION "20040408"
#define CELLS 9999

#define Debug(X)	if (opt.debug) fputs("DEBUG: "#X"\n", stderr);
#define ShowInput(X)	if (opt.showinput) fprintf(stderr, "%c", c);

/* options */
typedef struct {
	char *filename;
	int cells;			/* -c */
	unsigned short inputmode;	/* -, */
	unsigned debug : 1;		/* -d */
	unsigned showinput : 1;		/* -i */
	unsigned wraparound : 1;	/* -w */
	unsigned tellarray : 1; /* when someone needs this feature it will
				   be implemented */
} Opt;

#endif
